From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/moodle/
Date: Thu, 23 Jun 2016 06:41:38 +0000 (UTC) [thread overview]
Message-ID: <1466664241.33c793a95997728d5d117a9ad07a4aef57aa48dc.blueness@gentoo> (raw)
commit: 33c793a95997728d5d117a9ad07a4aef57aa48dc
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 06:44:01 2016 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Jun 23 06:44:01 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33c793a9
www-apps/moodle: version bump to 3.1
Package-Manager: portage-2.2.28
www-apps/moodle/Manifest | 1 +
www-apps/moodle/moodle-3.1.ebuild | 128 ++++++++++++++++++++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/www-apps/moodle/Manifest b/www-apps/moodle/Manifest
index a0a0f9b..d57e9d7 100644
--- a/www-apps/moodle/Manifest
+++ b/www-apps/moodle/Manifest
@@ -2,3 +2,4 @@ DIST moodle-2.7.14.tgz 35005794 SHA256 c89250c9a2995f1f2a70ded150ca4dcb08413f8a6
DIST moodle-2.8.12.tgz 36000130 SHA256 05fa695ced738cc9638ac62144c3bbda30f919093a6ffc78fd04b418329b4101 SHA512 f934d0b86c7c8a6da2a1b2b6e6201832b978f4e971afb37116df28a784420054436b61557a9c0cec9c3d38a581e8f42c91e2b49b9411268011120891efe8fdde WHIRLPOOL 99e7fe059005dacc1fa41fe1b351b223ebdae5456feb848440d0fdf15ebc945a9492716f5c49cf58a50acf7e141414eb002744dd031e9eedc394d9b43b1a5ad4
DIST moodle-2.9.6.tgz 36582260 SHA256 b5b17e869cc7f122d7f624a6ec3cf9fcfaa7166b3020e3c819c2135ae7327a15 SHA512 61021e7e57df18f26c95b7b3c38d5d25d2269110a5c623476a461f28bdfb2f7c6e2a61d558fa387e9a64627a9b71caf25bc357b95bd40335e415ad6a3804d9b5 WHIRLPOOL a4e783bfcb430c0ec48f23ea951745bf8db34ac058fed788497c04392ef3b0ded29de1389c25afd1d0db7a8c9da9f70675d86f80a50d10bf66c16efb2cab8e21
DIST moodle-3.0.4.tgz 38110816 SHA256 27e3f58d2bc1e63163f5c7d27aaf5548c216a433e87be7bf429030aada43b469 SHA512 ceb41ce986c0e378753815367a649ce0c7404ca671c9f13fe00350bf7504584aa4d40badac6d4c2a9eedfae1f2c1b0a6e82f46ca84be1f1b043a11eaac11114b WHIRLPOOL 158db9bd7231cafd9bd32e318700bd53c3c4011e409330aba0d3c36f2390f6b1c2cb7ffd797fa80f29b63a387228d8f27f5fd8b87cd77614f110c3f7e7828c6f
+DIST moodle-3.1.tgz 37440572 SHA256 5debb77fe2a82f28b25505f1244cc9e641b1c0b20dfefe831917c605da74151c SHA512 a8ab1b275bcb75e233b4cb77c6afb7bfb268e9dd11add7120c420e9f6179146640ab3bad8f4b050eaa254a2adb01500b80e2fc47517f6c1a1e98c13ad8389354 WHIRLPOOL 635a9d7c545880e98904ec30348011aee4bcd47cecd463c576ca4c4f3ac5b2848601b359d44445282885151c89e0bac48881fbf132e2879f92218edbd1991623
diff --git a/www-apps/moodle/moodle-3.1.ebuild b/www-apps/moodle/moodle-3.1.ebuild
new file mode 100644
index 0000000..ccdb5ad
--- /dev/null
+++ b/www-apps/moodle/moodle-3.1.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit versionator webapp
+
+AVC=( $(get_version_components) )
+MY_BRANCH="stable${AVC[0]}${AVC[1]}"
+
+DESCRIPTION="The Moodle Course Management System"
+HOMEPAGE="http://moodle.org"
+SRC_URI="http://download.moodle.org/${MY_BRANCH}/${P}.tgz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+#SLOT empty due to webapp
+
+DB_FLAGS="mysqli?,mssql?,postgres?"
+DB_TYPES=${DB_FLAGS//\?/}
+DB_TYPES=${DB_TYPES//,/ }
+
+AUTHENTICATION_FLAGS="imap?,ldap?,odbc?"
+AUTHENTICATION_MODES=${AUTHENTICATION_FLAGS//\?/}
+AUTHENTICATION_MODES=${AUTHENTICATION_MODES//,/ }
+
+PHP_REQUIRED_FLAGS="ctype,curl,iconv,json,session,simplexml,xml,zip"
+PHP_OPTIONAL_FLAGS="gd,intl,soap,ssl,tokenizer,xmlrpc"
+PHP_FLAGS="${PHP_REQUIRED_FLAGS},${PHP_OPTIONAL_FLAGS}"
+
+IUSE="${DB_TYPES} ${AUTHENTICATION_MODES} vhosts"
+REQUIRED_USE="|| ( ${DB_TYPES} )"
+
+# No forced dependency on
+# mssql? - lives on a windows server
+# mysql? ( virtual/mysql )
+# postgres? ( dev-db/postgresql-server-9* )
+# which may live on another server. These USE flags affect the configuration
+# file and the dependency on php. However other dbs are possible. See config.php
+# and the moodle documentation for other possibilities.
+DEPEND=""
+RDEPEND="
+ >=dev-lang/php-5.4.4[${DB_FLAGS},${AUTHENTICATION_FLAGS},${PHP_FLAGS}]
+ virtual/httpd-php
+ virtual/cron"
+
+pkg_setup() {
+ webapp_pkg_setup
+
+ # How many dbs were selected? If one and only one, which one is it?
+ MYDB=""
+ DB_COUNT=0
+ for db in ${DB_TYPES}; do
+ if use ${db}; then
+ MYDB=${db}
+ DB_COUNT=$(($DB_COUNT+1))
+ fi
+ done
+
+ # REQUIRED_USE above guarantees that ${DB_COUNT} cannot be zero
+ #if [[ ${DB_COUNT} -eq 0 ]]; then
+ # eerror
+ # eerror "\033[1;31m**************************************************\033[00m"
+ # eerror "No database selected in your USE flags,"
+ # eerror "You must select at least one."
+ # eerror "\033[1;31m**************************************************\033[00m"
+ # eerror
+ # die
+ #fi
+
+ if [[ ${DB_COUNT} -gt 1 ]]; then
+ MYDB=""
+ ewarn
+ ewarn "\033[1;33m**************************************************\033[00m"
+ ewarn "Multiple databases selected in your USE flags,"
+ ewarn "You will have to choose your database manually."
+ ewarn "\033[1;33m**************************************************\033[00m"
+ ewarn
+ fi
+}
+
+src_prepare() {
+ rm COPYING.txt
+ cp "${FILESDIR}"/config-r1.php config.php
+
+ # Moodle expect pgsql, not postgres
+ MYDB=${MYDB/postgres/pgsql}
+
+ if [[ ${DB_COUNT} -eq 1 ]] ; then
+ sed -i -e "s|mydb|${MYDB}|" config.php
+ fi
+}
+
+src_install() {
+ webapp_src_preinst
+
+ local MOODLEDATA="${MY_HOSTROOTDIR}"/moodle
+ dodir ${MOODLEDATA}
+ webapp_serverowned -R "${MOODLEDATA}"
+
+ local MOODLEROOT="${MY_HTDOCSDIR}"
+ insinto ${MOODLEROOT}
+ doins -r *
+
+ webapp_configfile "${MOODLEROOT}"/config.php
+
+ if [[ ${DB_COUNT} -eq 1 ]]; then
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ else
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-nodb-en.txt
+ fi
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ einfo
+ einfo "\033[1;32m**************************************************\033[00m"
+ einfo
+ einfo "To see the post install instructions, do"
+ einfo
+ einfo " webapp-config --show-postinst ${PN} ${PVR}"
+ einfo
+ einfo "\033[1;32m**************************************************\033[00m"
+ einfo
+}
next reply other threads:[~2016-06-23 6:41 UTC|newest]
Thread overview: 101+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-23 6:41 Anthony G. Basile [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 12:39 [gentoo-commits] repo/gentoo:master commit in: www-apps/moodle/ Anthony G. Basile
2025-02-12 15:16 Anthony G. Basile
2024-12-13 12:28 Anthony G. Basile
2024-10-09 11:27 Anthony G. Basile
2024-09-02 20:07 Anthony G. Basile
2024-08-13 15:47 Anthony G. Basile
2024-07-09 17:03 Anthony G. Basile
2024-06-11 17:00 Anthony G. Basile
2024-04-22 19:58 Anthony G. Basile
2024-04-22 19:51 Anthony G. Basile
2024-02-26 14:27 Anthony G. Basile
2023-12-22 17:43 Anthony G. Basile
2023-12-13 4:20 Anthony G. Basile
2023-12-08 20:00 Arthur Zamarin
2023-10-16 14:29 Anthony G. Basile
2023-10-10 13:24 Anthony G. Basile
2023-10-10 13:16 Anthony G. Basile
2023-10-10 13:14 Anthony G. Basile
2023-08-14 15:34 Anthony G. Basile
2023-06-12 15:30 Anthony G. Basile
2023-04-26 19:52 Anthony G. Basile
2023-03-13 15:17 Anthony G. Basile
2023-01-30 16:33 Anthony G. Basile
2023-01-30 14:05 Anthony G. Basile
2023-01-30 13:33 Anthony G. Basile
2022-09-15 0:23 Anthony G. Basile
2022-08-23 1:16 Sam James
2022-08-22 16:40 Anthony G. Basile
2022-07-14 0:40 Sam James
2022-07-11 14:38 Anthony G. Basile
2022-05-09 14:17 Anthony G. Basile
2022-04-25 17:24 Anthony G. Basile
2022-03-14 15:31 Anthony G. Basile
2022-01-19 18:14 Anthony G. Basile
2021-11-08 21:46 Anthony G. Basile
2021-09-13 14:49 Anthony G. Basile
2021-08-04 10:20 Anthony G. Basile
2021-07-21 14:16 Anthony G. Basile
2021-06-24 21:14 Anthony G. Basile
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-05-23 7:43 Anthony G. Basile
2021-05-14 14:14 Anthony G. Basile
2021-03-10 21:36 Anthony G. Basile
2021-01-25 21:03 Anthony G. Basile
2021-01-10 22:27 Sam James
2021-01-10 22:27 Sam James
2020-11-09 17:21 Anthony G. Basile
2020-09-12 15:11 Anthony G. Basile
2020-07-13 16:48 Anthony G. Basile
2020-06-20 14:17 Anthony G. Basile
2020-05-10 20:45 Anthony G. Basile
2020-04-13 2:02 Anthony G. Basile
2020-03-08 16:54 Anthony G. Basile
2020-01-11 22:43 Anthony G. Basile
2019-12-03 15:24 Anthony G. Basile
2019-11-23 15:33 Anthony G. Basile
2019-11-23 15:33 Anthony G. Basile
2019-11-23 15:10 Anthony G. Basile
2019-11-11 21:36 Anthony G. Basile
2019-09-07 14:35 Anthony G. Basile
2019-07-07 20:27 Anthony G. Basile
2019-05-21 13:57 Anthony G. Basile
2019-05-13 13:35 Anthony G. Basile
2019-03-09 19:09 Anthony G. Basile
2019-01-14 14:23 Anthony G. Basile
2018-12-11 22:29 Anthony G. Basile
2018-11-12 11:40 Anthony G. Basile
2018-09-10 8:37 Anthony G. Basile
2018-07-10 18:18 Anthony G. Basile
2018-05-17 15:58 Anthony G. Basile
2018-03-17 20:58 Anthony G. Basile
2018-01-13 14:44 Anthony G. Basile
2017-11-13 0:53 Anthony G. Basile
2017-09-19 20:19 Anthony G. Basile
2017-07-10 22:06 Anthony G. Basile
2017-05-08 23:36 Anthony G. Basile
2017-03-12 17:27 Anthony G. Basile
2017-01-09 15:31 Anthony G. Basile
2016-12-10 17:54 Anthony G. Basile
2016-11-13 13:28 Anthony G. Basile
2016-09-28 22:46 Anthony G. Basile
2016-09-11 15:32 Anthony G. Basile
2016-09-11 15:32 Anthony G. Basile
2016-09-11 15:32 Anthony G. Basile
2016-09-11 15:32 Anthony G. Basile
2016-07-11 10:51 Anthony G. Basile
2016-07-10 12:17 Anthony G. Basile
2016-05-09 7:29 Anthony G. Basile
2016-03-12 11:36 Anthony G. Basile
2016-03-12 11:36 Anthony G. Basile
2016-03-12 11:36 Anthony G. Basile
2016-03-12 11:36 Anthony G. Basile
2016-01-12 9:48 Anthony G. Basile
2016-01-09 11:45 Anthony G. Basile
2015-11-08 0:15 Anthony G. Basile
2015-11-08 0:15 Anthony G. Basile
2015-11-08 0:15 Anthony G. Basile
2015-11-08 0:15 Anthony G. Basile
2015-09-12 9:14 Anthony G. Basile
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1466664241.33c793a95997728d5d117a9ad07a4aef57aa48dc.blueness@gentoo \
--to=blueness@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox